# `RowDestroyedSignal`

#### Called after an instance is deleted. Sender is the instance's class. Arguments are `(instance)`.

The RowDestroyedSignal class is accessible via the `sqlobject.events` module.

This is called before the post_funcs of RowDestroySignal

Note: this is not called when an instance is destroyed through garbage collection.

## Methods

#### f `__sizeof__(...)` ...

__sizeof__() -> int size of object in memory, in bytes

#### f `__format__(...)` ...

default object formatter

#### f `__subclasshook__(...)` ...

Abstract classes can override this to customize issubclass().

This is invoked early on by abc.ABCMeta.__subclasscheck__(). It should return True, False or NotImplemented. If it returns NotImplemented, the normal algorithm is used. Otherwise, it overrides the normal algorithm (and the outcome is cached).

#### f `__init__(...)` ...

x.__init__(...) initializes x; see help(type(x)) for signature

See the source for more information.